我正在开发一个使用Google Places APIchrome extension 由于Content Security政策( https://developer.chrome.com/extensions/contentSecurityPolicy ),我无法加载API。 我尝试使用权限,获取请求,将脚本添加到准备好文档的正文中(我在研究中发现的内容),但没有任何效果。 我一直都收到此错误:

Refused to load the script 'https://maps.googleapis.com/maps/api/js?key=MY_KEY8&sensor=true&callback=initialize' because it violates the following Content Security Policy directive: "script-src 'self' 'unsafe-eval' https://apis.google.com".

是因为这样一个人不能使用Google API进行chrome扩展,也可以是其他任何外部API吗? 有人可以建议这样做的方法吗?

{
  "manifest_version": 2, 
  "version": "1.0", 
  "permissions": [ 
    "identity", 
    "https://*.google.com/", 
    "geolocation", 
    "maps.googleapis.com/maps/api/…; ], 
  "content_security_policy": "script-src 'self' 'unsafe-eval' maps.googleapis.com object-src 'self'" 
} 

  ask by Empty translate from so

本文未有回复,本站智能推荐: